# CreateOrder

PATH: /aurora.core.apiengine.omsv1.OmsService/CreateOrder

Endpoint: POST /aurora.core.apiengine.omsv1.OmsService/CreateOrder
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `active` (boolean)
    All orders will be marked as “Active” by default or Inactive order.

  - `agreements_filter` (object)
    Fields: ids, counterparty_ids, collateral_types, settlement_types, booking_accounts, counterparty_booking_accounts, trade_types, collateral_currencies, delivery_types

  - `agreements_filter.booking_accounts` (array)

  - `agreements_filter.collateral_currencies` (array)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `agreements_filter.collateral_types` (array)
    Enum: "COLLATERAL_TYPE_UNSPECIFIED", "CASH", "NON_CASH_UST", "NON_CASH_EQ", "NON_CASH_JGB"

  - `agreements_filter.counterparty_booking_accounts` (array)

  - `agreements_filter.counterparty_ids` (array)

  - `agreements_filter.delivery_types` (array)
    Enum: "DELIVERY_TYPE_UNSPECIFIED", "DVP", "FOP"

  - `agreements_filter.ids` (array)

  - `agreements_filter.settlement_types` (array)
    Enum: "NSCC", "BILATERAL"

  - `agreements_filter.trade_types` (array)

  - `allow_odd_lots` (boolean)
    All orders will allow odd lots by default

  - `external_id` (string)
    Customer internal id that will be reflected on the order and can be used to query the order

  - `good_till_time` (string)
    If time in force is “GOOD_TILL_TIME”, the date/time the order is to be canceled is required. Time in RFC3339 with millisecond precision

  - `instrument_id` (string, required)
    The ticker symbol or CUSIP of the security you intend to lend or borrow

  - `instrument_id_type` (string, required)
    Enum: "CUSIP", "TICKER"

  - `min_quantity` (string)
    The minimum quantity that the order can be matched against. If not specified the default will be 100.

  - `order_intent` (string, required)
    Enum: "FIRM", "IOI"

  - `order_type` (string, required)
    Enum: "LIMIT"

  - `quantity` (string, required)
    The number of shares you intend to borrow or lend

  - `rate_limit` (object)
    Fields: type, value

  - `rate_limit.type` (string, required)
    Enum: "REBATE", "FEE"

  - `rate_limit.value` (string, required)

  - `side` (string, required)
    Enum: "BORROW", "LOAN"

  - `time_in_force` (string, required)
    Enum: "DAY", "GOOD_TILL_CANCEL", "IMMEDIATE_OR_CANCEL", "FILL_OR_KILL", "GOOD_TILL_TIME"

  - `version_reference` (string)
    An optional identifier provided by the user to help associate the order with any internal record keeping.
When provided needs to be a unique value within the past 12 hours,
if the same value is observed then the request will be rejected.

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier assigned to this order by Provable Markets


